DEV API changelog (2026-02-27)

Last updated: 2026-02-27 12:18:25 AEDT

API Changelog 2026-02-26_13-08_35cfc94 vs. 2026-02-27_12-07_54ab727

POST /sub-account/loans/applications

  • ⚠️ added the new required request property 'applicantInfo/loanPurpose'
  • ⚠️ request property 'applicantInfo/employmentStatus' was restricted to a list of enum values
  • ⚠️ request property 'applicantInfo/relationshipStatus' was restricted to a list of enum values
  • ⚠️ the 'applicantInfo/estimatedTurnover' request property type/format changed from 'string'/'' to 'number'/''
  • ⚠️ the 'applicantInfo/numberOfStaff' request property type/format changed from 'string'/'' to 'integer'/'int32'
  • ⚠️ the 'applicantInfo/totalAssetsOfTheBusiness' request property type/format changed from 'string'/'' to 'number'/''
  • ⚠️ removed the request property 'applicantInfo/purposeDescription'
  • added the new optional request property 'applicantInfo/residentialStatus'
  • added the new 'CASUAL' enum value to the request property 'applicantInfo/employmentStatus'
  • added the new 'DIVORCED_OR_WIDOWED' enum value to the request property 'applicantInfo/relationshipStatus'
  • added the new 'FULL_TIME' enum value to the request property 'applicantInfo/employmentStatus'
  • added the new 'MARRIED_OR_LIVING_WITH_PARTNER' enum value to the request property 'applicantInfo/relationshipStatus'
  • added the new 'NOT_EMPLOYED' enum value to the request property 'applicantInfo/employmentStatus'
  • added the new 'PART_TIME' enum value to the request property 'applicantInfo/employmentStatus'
  • added the new 'RETIRED' enum value to the request property 'applicantInfo/employmentStatus'
  • added the new 'SELF_EMPLOYED' enum value to the request property 'applicantInfo/employmentStatus'
  • added the new 'SINGLE' enum value to the request property 'applicantInfo/relationshipStatus'
  • added the new 'UNKNOWN' enum value to the request property 'applicantInfo/employmentStatus'
  • added the new 'UNKNOWN' enum value to the request property 'applicantInfo/relationshipStatus'

POST /sub-account/loans/applications/agreements/preview

  • ⚠️ added the new required request property '/oneOf[#/components/schemas/CreditLineLoanAgreementRequestDto]/allOf[#/components/schemas/LoanAgreementRequestDto]/loanPurpose'
  • ⚠️ added the new required request property '/oneOf[#/components/schemas/FixedTermLoanAgreementRequestDto]/allOf[#/components/schemas/LoanAgreementRequestDto]/loanPurpose'
  • ⚠️ removed the request property '/oneOf[#/components/schemas/CreditLineLoanAgreementRequestDto]/allOf[#/components/schemas/LoanAgreementRequestDto]/purposeDescription'
  • ⚠️ removed the request property '/oneOf[#/components/schemas/FixedTermLoanAgreementRequestDto]/allOf[#/components/schemas/LoanAgreementRequestDto]/purposeDescription'

GET /sub-account/loans/redraws/applications

  • ⚠️ the '/items/applicantInfo/estimatedTurnover' response's property type/format changed from 'string'/'' to 'number'/'' for status '200'
  • ⚠️ the '/items/applicantInfo/numberOfStaff' response's property type/format changed from 'string'/'' to 'integer'/'int32' for status '200'
  • ⚠️ the '/items/applicantInfo/totalAssetsOfTheBusiness' response's property type/format changed from 'string'/'' to 'number'/'' for status '200'
  • ⚠️ removed the required property '/items/applicantInfo/purposeDescription' from the response with the '200' status
  • ⚠️ added the new 'CASUAL' enum value to the '/items/applicantInfo/employmentStatus' response property for the response status '200'
  • ⚠️ added the new 'DIVORCED_OR_WIDOWED' enum value to the '/items/applicantInfo/relationshipStatus' response property for the response status '200'
  • ⚠️ added the new 'FULL_TIME' enum value to the '/items/applicantInfo/employmentStatus' response property for the response status '200'
  • ⚠️ added the new 'MARRIED_OR_LIVING_WITH_PARTNER' enum value to the '/items/applicantInfo/relationshipStatus' response property for the response status '200'
  • ⚠️ added the new 'NOT_EMPLOYED' enum value to the '/items/applicantInfo/employmentStatus' response property for the response status '200'
  • ⚠️ added the new 'PART_TIME' enum value to the '/items/applicantInfo/employmentStatus' response property for the response status '200'
  • ⚠️ added the new 'RETIRED' enum value to the '/items/applicantInfo/employmentStatus' response property for the response status '200'
  • ⚠️ added the new 'SELF_EMPLOYED' enum value to the '/items/applicantInfo/employmentStatus' response property for the response status '200'
  • ⚠️ added the new 'SINGLE' enum value to the '/items/applicantInfo/relationshipStatus' response property for the response status '200'
  • ⚠️ added the new 'UNKNOWN' enum value to the '/items/applicantInfo/employmentStatus' response property for the response status '200'
  • ⚠️ added the new 'UNKNOWN' enum value to the '/items/applicantInfo/relationshipStatus' response property for the response status '200'
  • added the optional property '/items/applicantInfo/residentialStatus' to the response with the '200' status
  • added the required property '/items/applicantInfo/loanPurpose' to the response with the '200' status

POST /sub-account/loans/redraws/applications

  • ⚠️ added the new required request property 'applicantInfo/loanPurpose'
  • ⚠️ request property 'applicantInfo/employmentStatus' was restricted to a list of enum values
  • ⚠️ request property 'applicantInfo/relationshipStatus' was restricted to a list of enum values
  • ⚠️ the 'applicantInfo/estimatedTurnover' request property type/format changed from 'string'/'' to 'number'/''
  • ⚠️ the 'applicantInfo/numberOfStaff' request property type/format changed from 'string'/'' to 'integer'/'int32'
  • ⚠️ the 'applicantInfo/totalAssetsOfTheBusiness' request property type/format changed from 'string'/'' to 'number'/''
  • ⚠️ the 'applicantInfo/estimatedTurnover' response's property type/format changed from 'string'/'' to 'number'/'' for status '200'
  • ⚠️ the 'applicantInfo/numberOfStaff' response's property type/format changed from 'string'/'' to 'integer'/'int32' for status '200'
  • ⚠️ the 'applicantInfo/totalAssetsOfTheBusiness' response's property type/format changed from 'string'/'' to 'number'/'' for status '200'
  • ⚠️ removed the required property 'applicantInfo/purposeDescription' from the response with the '200' status
  • ⚠️ removed the request property 'applicantInfo/purposeDescription'
  • ⚠️ added the new 'CASUAL' enum value to the 'applicantInfo/employmentStatus' response property for the response status '200'
  • ⚠️ added the new 'DIVORCED_OR_WIDOWED' enum value to the 'applicantInfo/relationshipStatus' response property for the response status '200'
  • ⚠️ added the new 'FULL_TIME' enum value to the 'applicantInfo/employmentStatus' response property for the response status '200'
  • ⚠️ added the new 'MARRIED_OR_LIVING_WITH_PARTNER' enum value to the 'applicantInfo/relationshipStatus' response property for the response status '200'
  • ⚠️ added the new 'NOT_EMPLOYED' enum value to the 'applicantInfo/employmentStatus' response property for the response status '200'
  • ⚠️ added the new 'PART_TIME' enum value to the 'applicantInfo/employmentStatus' response property for the response status '200'
  • ⚠️ added the new 'RETIRED' enum value to the 'applicantInfo/employmentStatus' response property for the response status '200'
  • ⚠️ added the new 'SELF_EMPLOYED' enum value to the 'applicantInfo/employmentStatus' response property for the response status '200'
  • ⚠️ added the new 'SINGLE' enum value to the 'applicantInfo/relationshipStatus' response property for the response status '200'
  • ⚠️ added the new 'UNKNOWN' enum value to the 'applicantInfo/employmentStatus' response property for the response status '200'
  • ⚠️ added the new 'UNKNOWN' enum value to the 'applicantInfo/relationshipStatus' response property for the response status '200'
  • added the new optional request property 'applicantInfo/residentialStatus'
  • added the new 'CASUAL' enum value to the request property 'applicantInfo/employmentStatus'
  • added the new 'DIVORCED_OR_WIDOWED' enum value to the request property 'applicantInfo/relationshipStatus'
  • added the new 'FULL_TIME' enum value to the request property 'applicantInfo/employmentStatus'
  • added the new 'MARRIED_OR_LIVING_WITH_PARTNER' enum value to the request property 'applicantInfo/relationshipStatus'
  • added the new 'NOT_EMPLOYED' enum value to the request property 'applicantInfo/employmentStatus'
  • added the new 'PART_TIME' enum value to the request property 'applicantInfo/employmentStatus'
  • added the new 'RETIRED' enum value to the request property 'applicantInfo/employmentStatus'
  • added the new 'SELF_EMPLOYED' enum value to the request property 'applicantInfo/employmentStatus'
  • added the new 'SINGLE' enum value to the request property 'applicantInfo/relationshipStatus'
  • added the new 'UNKNOWN' enum value to the request property 'applicantInfo/employmentStatus'
  • added the new 'UNKNOWN' enum value to the request property 'applicantInfo/relationshipStatus'
  • added the optional property 'applicantInfo/residentialStatus' to the response with the '200' status
  • added the required property 'applicantInfo/loanPurpose' to the response with the '200' status

POST /sub-account/loans/redraws/applications/agreements/preview

  • ⚠️ added the new required request property '/oneOf[#/components/schemas/CreditLineLoanRedrawAgreementPreviewRequestDto]/allOf[#/components/schemas/LoanRedrawAgreementRequestDto]/loanPurpose'
  • ⚠️ added the new required request property '/oneOf[#/components/schemas/FixedTermLoanRedrawAgreementPreviewRequestDto]/allOf[#/components/schemas/LoanRedrawAgreementRequestDto]/loanPurpose'
  • ⚠️ removed the request property '/oneOf[#/components/schemas/CreditLineLoanRedrawAgreementPreviewRequestDto]/allOf[#/components/schemas/LoanRedrawAgreementRequestDto]/purposeDescription'
  • ⚠️ removed the request property '/oneOf[#/components/schemas/FixedTermLoanRedrawAgreementPreviewRequestDto]/allOf[#/components/schemas/LoanRedrawAgreementRequestDto]/purposeDescription'

POST /sub-account/loans/rollovers/applications

  • ⚠️ added the new required request property '/oneOf[#/components/schemas/LoanRolloverCreditLineRequestDto]/allOf[#/components/schemas/LoanRolloverRequestDto]/applicantInfo/loanPurpose'
  • ⚠️ added the new required request property '/oneOf[#/components/schemas/LoanRolloverFixTermRequestDto]/allOf[#/components/schemas/LoanRolloverRequestDto]/applicantInfo/loanPurpose'
  • ⚠️ request property '/oneOf[#/components/schemas/LoanRolloverCreditLineRequestDto]/allOf[#/components/schemas/LoanRolloverRequestDto]/applicantInfo/employmentStatus' was restricted to a list of enum values
  • ⚠️ request property '/oneOf[#/components/schemas/LoanRolloverCreditLineRequestDto]/allOf[#/components/schemas/LoanRolloverRequestDto]/applicantInfo/relationshipStatus' was restricted to a list of enum values
  • ⚠️ request property '/oneOf[#/components/schemas/LoanRolloverFixTermRequestDto]/allOf[#/components/schemas/LoanRolloverRequestDto]/applicantInfo/employmentStatus' was restricted to a list of enum values
  • ⚠️ request property '/oneOf[#/components/schemas/LoanRolloverFixTermRequestDto]/allOf[#/components/schemas/LoanRolloverRequestDto]/applicantInfo/relationshipStatus' was restricted to a list of enum values
  • ⚠️ the '/oneOf[#/components/schemas/LoanRolloverCreditLineRequestDto]/allOf[#/components/schemas/LoanRolloverRequestDto]/applicantInfo/estimatedTurnover' request property type/format changed from 'string'/'' to 'number'/''
  • ⚠️ the '/oneOf[#/components/schemas/LoanRolloverCreditLineRequestDto]/allOf[#/components/schemas/LoanRolloverRequestDto]/applicantInfo/numberOfStaff' request property type/format changed from 'string'/'' to 'integer'/'int32'
  • ⚠️ the '/oneOf[#/components/schemas/LoanRolloverCreditLineRequestDto]/allOf[#/components/schemas/LoanRolloverRequestDto]/applicantInfo/totalAssetsOfTheBusiness' request property type/format changed from 'string'/'' to 'number'/''
  • ⚠️ the '/oneOf[#/components/schemas/LoanRolloverFixTermRequestDto]/allOf[#/components/schemas/LoanRolloverRequestDto]/applicantInfo/estimatedTurnover' request property type/format changed from 'string'/'' to 'number'/''
  • ⚠️ the '/oneOf[#/components/schemas/LoanRolloverFixTermRequestDto]/allOf[#/components/schemas/LoanRolloverRequestDto]/applicantInfo/numberOfStaff' request property type/format changed from 'string'/'' to 'integer'/'int32'
  • ⚠️ the '/oneOf[#/components/schemas/LoanRolloverFixTermRequestDto]/allOf[#/components/schemas/LoanRolloverRequestDto]/applicantInfo/totalAssetsOfTheBusiness' request property type/format changed from 'string'/'' to 'number'/''
  • ⚠️ removed the request property '/oneOf[#/components/schemas/LoanRolloverCreditLineRequestDto]/allOf[#/components/schemas/LoanRolloverRequestDto]/applicantInfo/purposeDescription'
  • ⚠️ removed the request property '/oneOf[#/components/schemas/LoanRolloverFixTermRequestDto]/allOf[#/components/schemas/LoanRolloverRequestDto]/applicantInfo/purposeDescription'
  • added the new optional request property '/oneOf[#/components/schemas/LoanRolloverCreditLineRequestDto]/allOf[#/components/schemas/LoanRolloverRequestDto]/applicantInfo/residentialStatus'
  • added the new optional request property '/oneOf[#/components/schemas/LoanRolloverFixTermRequestDto]/allOf[#/components/schemas/LoanRolloverRequestDto]/applicantInfo/residentialStatus'
  • added the new 'CASUAL' enum value to the request property '/oneOf[#/components/schemas/LoanRolloverCreditLineRequestDto]/allOf[#/components/schemas/LoanRolloverRequestDto]/applicantInfo/employmentStatus'
  • added the new 'CASUAL' enum value to the request property '/oneOf[#/components/schemas/LoanRolloverFixTermRequestDto]/allOf[#/components/schemas/LoanRolloverRequestDto]/applicantInfo/employmentStatus'
  • added the new 'DIVORCED_OR_WIDOWED' enum value to the request property '/oneOf[#/components/schemas/LoanRolloverCreditLineRequestDto]/allOf[#/components/schemas/LoanRolloverRequestDto]/applicantInfo/relationshipStatus'
  • added the new 'DIVORCED_OR_WIDOWED' enum value to the request property '/oneOf[#/components/schemas/LoanRolloverFixTermRequestDto]/allOf[#/components/schemas/LoanRolloverRequestDto]/applicantInfo/relationshipStatus'
  • added the new 'FULL_TIME' enum value to the request property '/oneOf[#/components/schemas/LoanRolloverCreditLineRequestDto]/allOf[#/components/schemas/LoanRolloverRequestDto]/applicantInfo/employmentStatus'
  • added the new 'FULL_TIME' enum value to the request property '/oneOf[#/components/schemas/LoanRolloverFixTermRequestDto]/allOf[#/components/schemas/LoanRolloverRequestDto]/applicantInfo/employmentStatus'
  • added the new 'MARRIED_OR_LIVING_WITH_PARTNER' enum value to the request property '/oneOf[#/components/schemas/LoanRolloverCreditLineRequestDto]/allOf[#/components/schemas/LoanRolloverRequestDto]/applicantInfo/relationshipStatus'
  • added the new 'MARRIED_OR_LIVING_WITH_PARTNER' enum value to the request property '/oneOf[#/components/schemas/LoanRolloverFixTermRequestDto]/allOf[#/components/schemas/LoanRolloverRequestDto]/applicantInfo/relationshipStatus'
  • added the new 'NOT_EMPLOYED' enum value to the request property '/oneOf[#/components/schemas/LoanRolloverCreditLineRequestDto]/allOf[#/components/schemas/LoanRolloverRequestDto]/applicantInfo/employmentStatus'
  • added the new 'NOT_EMPLOYED' enum value to the request property '/oneOf[#/components/schemas/LoanRolloverFixTermRequestDto]/allOf[#/components/schemas/LoanRolloverRequestDto]/applicantInfo/employmentStatus'
  • added the new 'PART_TIME' enum value to the request property '/oneOf[#/components/schemas/LoanRolloverCreditLineRequestDto]/allOf[#/components/schemas/LoanRolloverRequestDto]/applicantInfo/employmentStatus'
  • added the new 'PART_TIME' enum value to the request property '/oneOf[#/components/schemas/LoanRolloverFixTermRequestDto]/allOf[#/components/schemas/LoanRolloverRequestDto]/applicantInfo/employmentStatus'
  • added the new 'RETIRED' enum value to the request property '/oneOf[#/components/schemas/LoanRolloverCreditLineRequestDto]/allOf[#/components/schemas/LoanRolloverRequestDto]/applicantInfo/employmentStatus'
  • added the new 'RETIRED' enum value to the request property '/oneOf[#/components/schemas/LoanRolloverFixTermRequestDto]/allOf[#/components/schemas/LoanRolloverRequestDto]/applicantInfo/employmentStatus'
  • added the new 'SELF_EMPLOYED' enum value to the request property '/oneOf[#/components/schemas/LoanRolloverCreditLineRequestDto]/allOf[#/components/schemas/LoanRolloverRequestDto]/applicantInfo/employmentStatus'
  • added the new 'SELF_EMPLOYED' enum value to the request property '/oneOf[#/components/schemas/LoanRolloverFixTermRequestDto]/allOf[#/components/schemas/LoanRolloverRequestDto]/applicantInfo/employmentStatus'
  • added the new 'SINGLE' enum value to the request property '/oneOf[#/components/schemas/LoanRolloverCreditLineRequestDto]/allOf[#/components/schemas/LoanRolloverRequestDto]/applicantInfo/relationshipStatus'
  • added the new 'SINGLE' enum value to the request property '/oneOf[#/components/schemas/LoanRolloverFixTermRequestDto]/allOf[#/components/schemas/LoanRolloverRequestDto]/applicantInfo/relationshipStatus'
  • added the new 'UNKNOWN' enum value to the request property '/oneOf[#/components/schemas/LoanRolloverCreditLineRequestDto]/allOf[#/components/schemas/LoanRolloverRequestDto]/applicantInfo/employmentStatus'
  • added the new 'UNKNOWN' enum value to the request property '/oneOf[#/components/schemas/LoanRolloverCreditLineRequestDto]/allOf[#/components/schemas/LoanRolloverRequestDto]/applicantInfo/relationshipStatus'
  • added the new 'UNKNOWN' enum value to the request property '/oneOf[#/components/schemas/LoanRolloverFixTermRequestDto]/allOf[#/components/schemas/LoanRolloverRequestDto]/applicantInfo/employmentStatus'
  • added the new 'UNKNOWN' enum value to the request property '/oneOf[#/components/schemas/LoanRolloverFixTermRequestDto]/allOf[#/components/schemas/LoanRolloverRequestDto]/applicantInfo/relationshipStatus'

POST /sub-account/loans/rollovers/applications/agreements/preview

  • ⚠️ added the new required request property '/oneOf[#/components/schemas/LoanRolloverAgreementCreditLineRequestDto]/allOf[#/components/schemas/LoanRolloverAgreementRequestDto]/loanPurpose'
  • ⚠️ added the new required request property '/oneOf[#/components/schemas/LoanRolloverAgreementFixedTermRequestDto]/allOf[#/components/schemas/LoanRolloverAgreementRequestDto]/loanPurpose'
  • ⚠️ removed the request property '/oneOf[#/components/schemas/LoanRolloverAgreementCreditLineRequestDto]/allOf[#/components/schemas/LoanRolloverAgreementRequestDto]/purposeDescription'
  • ⚠️ removed the request property '/oneOf[#/components/schemas/LoanRolloverAgreementFixedTermRequestDto]/allOf[#/components/schemas/LoanRolloverAgreementRequestDto]/purposeDescription'